Back to Redis

Index

content/operate/rs/references/rest-api/objects/bootstrap/_index.md

latest3.0 KB
Original Source

A bootstrap configuration object.

NameType/ValueDescription
action'create_cluster'
'join_cluster'
'recover_cluster'Action to perform
cluster[cluster_identity]({{< relref "/operate/rs/references/rest-api/objects/bootstrap/cluster_identity" >}}) objectCluster to join or create
cnm_https_portintegerPort to join a cluster with non-default cnm_https port
crdb_coordinator_portinteger, (range: 1024-65535) (default: 9081)CRDB coordinator port
credentials[credentials]({{< relref "/operate/rs/references/rest-api/objects/bootstrap/credentials" >}}) objectCluster admin credentials
dns_suffixesobjectExplicit configuration of DNS suffixes
{{<code>}}
[{
"name": string,
"cluster_default": boolean,
"use_aaaa_ns": boolean,
"use_internal_addr": boolean,
"slaves": array
}, ...]
{{</code>}}
name: DNS suffix name
cluster_default: Should this suffix be the default cluster suffix
use_aaaa_ns: Should AAAA records be published for NS records
use_internal_addr: Should internal cluster IPs be published for databases
slaves: List of replica servers that should be published as NS and notified
envoy_admin_portinteger, (range: 1024-65535)Envoy admin port. Changing this port during runtime might result in an empty response because envoy serves as the cluster gateway.
envoy_mgmt_server_portinteger, (range: 1024-65535)Envoy management server port
<span class="break-all">gossip_envoy_admin_port</span>integer, (range: 1024-65535)Gossip envoy admin port (deprecated; this port is no longer used because gossip functionality is handled by the main envoy process on envoy_admin_port)
licensestringLicense string. If not provided, a trial license is set by default.
max_retriesintegerMax number of retries in case of recoverable errors
node[node_identity]({{< relref "/operate/rs/references/rest-api/objects/bootstrap/node_identity" >}}) objectNode description
policy[policy]({{< relref "/operate/rs/references/rest-api/objects/bootstrap/policy" >}}) objectPolicy object (deprecated; use [PUT /v1/cluster/policy]({{< relref "/operate/rs/references/rest-api/requests/cluster/policy#put-cluster-policy" >}}) after cluster creation instead)
recovery_filenamestringName of backup file to recover from
required_versionstringThis node can only join the cluster if all nodes in the cluster have a version greater than the required_version (deprecated as of Redis Software v7.8.6)
retry_timeintegerMax waiting time between retries (in seconds)
user_defined_modulesarray of [user_defined_module]({{< relref "/operate/rs/references/rest-api/objects/bootstrap/user_defined_module" >}}) objectsList of custom modules to download and install during bootstrap. Each node downloads and installs the modules independently.
witness_diskobjectAn API object that represents the Witness Disk bootstrap configuration